package PureMessage::List::cdbfile;
use strict;
use base qw(PureMessage::List::Base::cdbfile PureMessage::List);

sub match {
    my $self = shift;
    my $cdb = $self->{cdb} || do {$self->refresh(); $self->{cdb}};
    my @items;
    if ($self->{ascii_casemap}) {
	@items = map lc, @_;
    }
    else {
        @items = @_;
    }
    for (@items) {
	return 1 if $cdb->FETCH($_) == 1;
    }
    return 0;
}

1;
