package PureMessage::Text::Wrap;

use strict;
use base 'Exporter';

our @EXPORT = qw(wrap);

use Text::Wrap ();

sub wrap {
    my($text, $columns) = @_;
    $columns ||= 72;

    local $Text::Wrap::columns = $columns;
    local $Text::Wrap::huge = 'overflow';

    my @text;
    for (split(/^/, $text)) {
	if (/\S/) {
	    s/^(\s*)//;
	    $_ = Text::Wrap::wrap($1, $1, $_);
	}
	push(@text, $_);
    }
    
    join("", @text);
}

1;

