package PureMessage::List::null;
use strict;
use base qw(PureMessage::List);

# a list that has a state but never matches.
# it can be used to edit a list whose
# 'source' does not yet exist (using the
# data() method).

sub new {
    my $self = shift;
    my $class = ref $self || $self;
    my $source = shift;
    my %args = @_;
    return bless {%args, source => $source}, $class;
}

1;
