package PureMessage::List::perl;

use strict;
use base 'PureMessage::List';

sub new {
    my($class, $source, %conf) = @_;
    my($func, $mod) = split(/\s*;\s*/, $source);
    my $self = bless \%conf, $class;

    $mod = $1 if !$mod && $func =~ /(.+)::[^:]+$/;

    if ($mod) {
	eval "require $mod";
	die $@ if $@;
    }

    $self->{matcher} = \&{$func};
    return $self;
}

sub match {
    my $self = shift;
    $self->{matcher}->(@_);
}

sub matcher {
    shift->{matcher};
}

1;
