package PureMessage::Map::file;

use Carp qw(croak);
use strict;
use PureMessage::MapData::Entry;
use base qw(PureMessage::List::Base::file PureMessage::Map::Items);

sub _parse_fh {
    my($class, $f, $filename) = @_;
    my @items;
    local $_;
    while (<$f>) {
        push(@items, PureMessage::MapData::Entry->parse($_));
    }

    return \@items;
}

1;
