package PureMessage::MultiList::multigroupfile;

use strict;
use warnings;

use base qw(PureMessage::MultiList::multifile);

sub _create {
    my ($CLASS,$source,%options) = @_;
    die "Unknown source type '$1'" unless $source =~ /^([^:]+):(.+)$/ and $1 eq 'multigroupfile';
    require PureMessage::List::Base::file;
    my $f = PureMessage::List::Base::file->_abs_file($2);
    die "Directory '$f' already exists." if -e $f and -d _;
    mkdir $f || die "Can't create directory '$f' for multigroupfile";
    return 1; 
}

1;
